Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class GoToEmbedded.PathElement

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.GoToEmbedded.PathElement

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  GoToEmbedded

    public static class GoToEmbedded.PathElement

extends PdfObjectWrapper<PdfDictionary>

Path information to the target document [PDF:1.6:8.5.3].

Nested Class Summary
`static class` | `GoToEmbedded.PathElement.RelationEnum` Relationship between the target and the current document [PDF:1.6:8.5.3].

Constructor Summary
`GoToEmbedded.PathElement(Document context, GoToEmbedded.PathElement next)` Creates a new path element representing the parent of the document.
`GoToEmbedded.PathElement(Document context, Object annotationPageRef, Object annotationRef, GoToEmbedded.PathElement next)` Creates a new path element associated with a file attachment annotation.
`GoToEmbedded.PathElement(Document context, String embeddedFileName, GoToEmbedded.PathElement next)` Creates a new path element located in the embedded files collection of the document.

Method Summary
`GoToEmbedded.PathElement` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Object` | `getAnnotationPageRef()` Gets the page reference to the file attachment annotation.
`Object` | `getAnnotationRef()` Gets the reference to the file attachment annotation.
`String` | `getEmbeddedFileName()` Gets the embedded file name.
`GoToEmbedded.PathElement` | `getNext()` Gets a further path information to the target document.
`GoToEmbedded.PathElement.RelationEnum` | `getRelation()` Gets the relationship between the target and the current document.
`void` | `setAnnotationPageRef(Object value)`
`void` | `setAnnotationRef(Object value)`
`void` | `setEmbeddedFileName(String value)`
`void` | `setNext(GoToEmbedded.PathElement value)`
`void` | `setRelation(GoToEmbedded.PathElement.RelationEnum value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoToEmbedded.PathElement

    public GoToEmbedded.PathElement(Document context,
                                    GoToEmbedded.PathElement next)

  Creates a new path element representing the parent of the document.

### GoToEmbedded.PathElement

    public GoToEmbedded.PathElement(Document context,
                                    String embeddedFileName,
                                    GoToEmbedded.PathElement next)

  Creates a new path element located in the embedded files collection of the document.

### GoToEmbedded.PathElement

    public GoToEmbedded.PathElement(Document context,
                                    Object annotationPageRef,
                                    Object annotationRef,
                                    GoToEmbedded.PathElement next)

  Creates a new path element associated with a file attachment annotation.

Method Detail

### clone

    public GoToEmbedded.PathElement clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAnnotationPageRef

    public Object getAnnotationPageRef()

  Gets the page reference to the file attachment annotation.

  Returns:
    Either the (zero-based) number of the page in the current document containing the file attachment annotation, or the name of a destination in the current document that provides the page number of the file attachment annotation.

### getAnnotationRef

    public Object getAnnotationRef()

  Gets the reference to the file attachment annotation.

  Returns:
    Either the (zero-based) index of the annotation in the list of annotations associated to the page specified by the annotationPageRef property, or the name of the annotation.

### getEmbeddedFileName

    public String getEmbeddedFileName()

  Gets the embedded file name.

### getRelation

    public GoToEmbedded.PathElement.RelationEnum getRelation()

  Gets the relationship between the target and the current document.

### getNext

    public GoToEmbedded.PathElement getNext()

  Gets a further path information to the target document.

### setAnnotationPageRef

    public void setAnnotationPageRef(Object value)

  See Also:
    `getAnnotationPageRef()`

### setAnnotationRef

    public void setAnnotationRef(Object value)

  See Also:
    `getAnnotationRef()`

### setEmbeddedFileName

    public void setEmbeddedFileName(String value)

  See Also:
    `getEmbeddedFileName()`

### setRelation

    public void setRelation(GoToEmbedded.PathElement.RelationEnum value)

  See Also:
    `getRelation()`

### setNext

    public void setNext(GoToEmbedded.PathElement value)

  See Also:
    `getNext()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.